"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Checks if an object is a valid pattern
 * @param p the object to check
 * @returns true if {@code p} is a valid pattern
 */
function isPattern(p) {
    return new Array().concat(p).every(function (s) {
        return typeof s === "string" || typeof s === "number" || s instanceof RegExp;
    });
}
exports.isPattern = isPattern;
//# sourceMappingURL=Pattern.js.map