"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var get_1 = require("./get");
/**
 * Encapsulates the {@link get} function in an object oriented manner
 * @private
 * @hidden
 */
var _Path = /** @class */ (function () {
    function _Path(path) {
        this.path = path;
    }
    _Path.prototype.get = function (object) {
        return get_1.default(this.path, object);
    };
    return _Path;
}());
exports.default = _Path;
//# sourceMappingURL=_Path.js.map