import { Pattern } from "./Pattern";
import { Path } from "./Path";
import _Path from "./_Path";
/**
 * Encapsulates the {@link get} and {@link expand} function in an object oriented manner
 * @private
 * @hidden
 */
export default class _Pattern {
    readonly pattern: Pattern;
    constructor(pattern: Pattern);
    get(object: object | any[]): any[];
    expand(object: object | any[]): _Path[];
    expandRaw(object: object | any[]): Path[];
}
