import expand from "./expand";
import get from "./get";
import set from "./set";
import { PathSegment, Path } from "./Path";
import { PatternSegment, Pattern } from "./Pattern";
import update from "./update";
import values from "./values";
import valuesAndPaths from "./valuesAndPaths";
declare const _default: {
    expand: typeof expand;
    get: typeof get;
    set: typeof set;
    update: typeof update;
    values: typeof values;
    valuesAndPaths: typeof valuesAndPaths;
};
export default _default;
export { expand, get, set, update, values, valuesAndPaths, Path, PathSegment, Pattern, PatternSegment };
